Package org.apache.activemq.artemis.api.core.management

## Interface ClusterConnectionControl

- All Superinterfaces:
    `ActiveMQComponentControl`

      public interface ClusterConnectionControl
      extends ActiveMQComponentControl

  A ClusterConnectionControl is used to manage a cluster connection.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAddress()` | Returns the address used by this cluster connection.
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getBridgeMetrics​(java.lang.String nodeId)` | The bridge metrics for the given node in the cluster connection The messagesPendingAcknowledgement counter is incremented when the bridge is has forwarded a message but is waiting acknowledgement from the other broker.
    `java.lang.String` | `getDiscoveryGroupName()` | Returns the name of the discovery group used by this cluster connection.
    `int` | `getMaxHops()` | Returns the maximum number of hops used by this cluster connection.
    `java.lang.String` | `getMessageLoadBalancingType()` | Return the type of message load balancing strategy this bridge will use.
    `long` | `getMessagesAcknowledged()` | The messagesAcknowledged counter is the number of messages actually received by a remote broker for all bridges in this cluster connection This is a cumulative total and the number of outstanding pending messages for the cluster connection can be computed by subtracting messagesAcknowledged from messagesPendingAcknowledgement.
    `long` | `getMessagesPendingAcknowledgement()` | The messagesPendingAcknowledgement counter is incremented when any bridge in the cluster connection has forwarded a message and is waiting acknowledgement from the other broker.
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getMetrics()` | The current metrics for this cluster connection (aggregate over all bridges to other nodes) The messagesPendingAcknowledgement counter is incremented when any bridge in the cluster connection has forwarded a message and is waiting acknowledgement from the other broker.
    `java.lang.String` | `getName()` | Returns the configuration name of this cluster connection.
    `java.lang.String` | `getNodeID()` | Returns the node ID used by this cluster connection.
    `java.util.Map<java.lang.String,​java.lang.String>` | `getNodes()` | Returns a map of the nodes connected to this cluster connection.
    `long` | `getRetryInterval()` | Returns the connection retry interval used by this cluster connection.
    `java.lang.Object[]` | `getStaticConnectors()` | Returns the list of static connectors
    `java.lang.String` | `getStaticConnectorsAsJSON()` | Returns the list of static connectors as JSON
    `java.lang.String` | `getTopology()` | Return the Topology that this Cluster Connection knows about
    `boolean` | `isDuplicateDetection()` | Return whether this cluster connection use duplicate detection.

    - ### Methods inherited from interface org.apache.activemq.artemis.api.core.management.ActiveMQComponentControl

      `isStarted, start, stop`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the configuration name of this cluster connection.

    - #### getAddress

          java.lang.String getAddress()

      Returns the address used by this cluster connection.

    - #### getNodeID

          java.lang.String getNodeID()

      Returns the node ID used by this cluster connection.

    - #### isDuplicateDetection

          boolean isDuplicateDetection()

      Return whether this cluster connection use duplicate detection.

    - #### getMessageLoadBalancingType

          java.lang.String getMessageLoadBalancingType()

      Return the type of message load balancing strategy this bridge will use.

    - #### getTopology

          java.lang.String getTopology()

      Return the Topology that this Cluster Connection knows about

    - #### getMaxHops

          int getMaxHops()

      Returns the maximum number of hops used by this cluster connection.

    - #### getStaticConnectors

          java.lang.Object[] getStaticConnectors()

      Returns the list of static connectors

    - #### getStaticConnectorsAsJSON

          java.lang.String getStaticConnectorsAsJSON()
                                              throws java.lang.Exception

      Returns the list of static connectors as JSON
      Throws:
        `java.lang.Exception`

    - #### getDiscoveryGroupName

          java.lang.String getDiscoveryGroupName()

      Returns the name of the discovery group used by this cluster connection.

    - #### getRetryInterval

          long getRetryInterval()

      Returns the connection retry interval used by this cluster connection.

    - #### getNodes

          java.util.Map<java.lang.String,​java.lang.String> getNodes()
                                                                   throws java.lang.Exception

      Returns a map of the nodes connected to this cluster connection.
      keys are node IDs, values are the addresses used to connect to the nodes.
      Throws:
        `java.lang.Exception`

    - #### getMessagesPendingAcknowledgement

          long getMessagesPendingAcknowledgement()

      The messagesPendingAcknowledgement counter is incremented when any bridge in the cluster connection has forwarded a message and is waiting acknowledgement from the other broker. (aggregate over all bridges) This is a cumulative total and the number of outstanding pending messages for the cluster connection can be computed by subtracting messagesAcknowledged from messagesPendingAcknowledgement.

    - #### getMessagesAcknowledged

          long getMessagesAcknowledged()

      The messagesAcknowledged counter is the number of messages actually received by a remote broker for all bridges in this cluster connection This is a cumulative total and the number of outstanding pending messages for the cluster connection can be computed by subtracting messagesAcknowledged from messagesPendingAcknowledgement.

    - #### getMetrics

          java.util.Map<java.lang.String,​java.lang.Object> getMetrics()

      The current metrics for this cluster connection (aggregate over all bridges to other nodes) The messagesPendingAcknowledgement counter is incremented when any bridge in the cluster connection has forwarded a message and is waiting acknowledgement from the other broker. The messagesAcknowledged counter is the number of messages actually received by a remote broker for all bridges in this cluster connection
      Returns:

    - #### getBridgeMetrics

          java.util.Map<java.lang.String,​java.lang.Object> getBridgeMetrics​(java.lang.String nodeId)
                                                                           throws java.lang.Exception

      The bridge metrics for the given node in the cluster connection The messagesPendingAcknowledgement counter is incremented when the bridge is has forwarded a message but is waiting acknowledgement from the other broker. The messagesAcknowledged counter is the number of messages actually received by the remote broker for this bridge.
      Throws:
        `java.lang.Exception`